/*
 * Copyright 2007 Apache Software Foundation
 * 
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  The ASF licenses this file to You
 * under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.  For additional information regarding
 * copyright in this work, please see the NOTICE file in the top level
 * directory of this distribution.
 */
package com.sun.syndication.propono.atom.common.rome;

import com.sun.syndication.feed.module.ModuleImpl;

/**
 * Bean representation of PubControl module.
 */
public class PubControlModuleImpl extends ModuleImpl implements PubControlModule {
    private Boolean _draft;

    /**
     * Contruct Module implementation
     */
    public PubControlModuleImpl() {
        super(PubControlModule.class,PubControlModule.URI);
    }
    /**
     * True if entry is draft.
     */
    public Boolean getDraft() {
        return _draft;
    }
    /**
     * Set true if entry is draft.
     */
    public void setDraft(Boolean draft) {
        _draft = draft;
    }
    /**
     * Get interface of Module
     */
    public Class getInterface() {
        return PubControlModule.class;
    }
    /**
     * Copy from existing Module
     */
    public void copyFrom(Object obj) {
        PubControlModule m = (PubControlModule)obj;
        setDraft(m.getDraft());
    }
}
